;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux MH-E package

(if (not (file-exists-p "/usr/share/emacs/site-lisp/mh-e"))
    (message "Package mh-e removed but not purged.  Skipping setup.")

  ;; mh-gnus.el is _not_ byte-compiled because the results are different
  ;; depending on the version of gnus available.  Since I have no way to
  ;; recompile when a gnus package is installed or removed, it's best not to
  ;; compile it.
  (if (not (member "/usr/share/emacs/site-lisp/mh-e" load-path))
      (debian-pkg-add-load-path-item "/usr/share/emacs/site-lisp/mh-e"))
  
  ;; The MH-E package follows the Debian/GNU Linux 'emacsen' policy and
  ;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
  ;; xemacs19, emacs20, xemacs20...).  The compiled code is then
  ;; installed in a subdirectory of the respective site-lisp directory.
  ;; We have to add this to the load-path:
  (debian-pkg-add-load-path-item
   (concat "/usr/share/" (symbol-name flavor) "/site-lisp/mh-e"))

;;  ;; Usual entry commands into MH-E
;;  (require 'mh-startup)

  ;; contrib autoloads
  (autoload 'mh-frame "mh-frame" "" t))
